com.abbyy.mobile.rtr

## Interface IRecognitionService.DebugLog

- Enclosing interface:
    IRecognitionService

      public static interface IRecognitionService.DebugLog

  A callback interface for collecting debug data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAttachDebugInfo(java.lang.String imageId, java.lang.String debugInfo)` Attaches debug info associated with the image.
    `void` | `onBeginSeries()` Begins a series of video frames.
    `void` | `onEndSeries()` Ends the series.
    `java.lang.String` | `onSaveImageBufferNV21(int width, int height, int orientation, android.graphics.Rect areaOfInterest, byte[] buffer, int dataSize)` Logs the image in NV21 format.

- - ### Method Detail

    - #### onBeginSeries

          void onBeginSeries()

      Begins a series of video frames.

    - #### onEndSeries

          void onEndSeries()

      Ends the series.

    - #### onSaveImageBufferNV21

          java.lang.String onSaveImageBufferNV21(int width,
                                                 int height,
                                                 int orientation,
                                                 android.graphics.Rect areaOfInterest,
                                                 byte[] buffer,
                                                 int dataSize)

      Logs the image in NV21 format.
      Parameters:
        `width` - the image width
        `height` - the image height
        `orientation` - the image orientation
        `areaOfInterest` - the area of interest on the image
        `buffer` - the buffer with image data in NV21 format. Only `dataSize` bytes in the buffer contain valid image data.
        `dataSize` - the number of bytes in the `buffer` containing valid image data
      Returns:
        an identifier of the image to attach detailed debug information to. If the identifier is null, no detailed debug info is reported

    - #### onAttachDebugInfo

          void onAttachDebugInfo(java.lang.String imageId,
                                 java.lang.String debugInfo)

      Attaches debug info associated with the image.

      This method is only called if `onSaveImageBufferNV21` returned non-null identifier

      Parameters:
        `imageId` - the image id to attach debug info to
        `debugInfo` - the debug info